﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyTrendsMapInsertUpdateDbViewModel
@using Newtonsoft.Json;
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<h2>Index</h2>
<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
@using (Html.BeginForm("Index", "CompanyTrendsMap", FormMethod.Post, new { id = "CompanyTrends", name = "CompanyTrends", @class = "" }))
{

<div id="content" class="content">
    @if (ViewBag.Message != string.Empty)
    {
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                </div>
            </div>
        </div>
    </div>
    @Html.HiddenFor(Model => Model.CompanyId)
    @Html.HiddenFor(Model => Model.ProjectId)
    <div class="section-with-top-border p-b-10 p-t-20">
        <!-- begin row -->
        <div class="row">
            <!-- begin col-8 -->
            <div class="col-md-12">
                <!-- begin panel -->
                <div class="panel">
                    <div class="table-responsive">
                        <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle">
                            <thead>
                                <tr class="inverse">
                                    <th width="60%" class="text-center">
                                        Trends<span class="text-danger"></span>
                                    </th>
                                    <th width="20%" class="text-center">Department</th>
                                    <th width="10%" class="text-center">Importance</th>
                                    <th width="10%" class="text-center">Impact</th>
                                </tr>
                            </thead>
                            <tbody>
                                @for (int k = 0; k < Model.CompanyTrendsMapInsertUpdate.Count; k++)
                                {
                                    <tr>
                                        <td class="text-center">
                                            @Html.HiddenFor(Model => Model.CompanyTrendsMapInsertUpdate[k].Id)
                                            @Html.TextBoxFor(Model => Model.CompanyTrendsMapInsertUpdate[k].TrendName, new { @class = "form-control " })
                                        </td>
                                        <td class="text-center">
                                            @Html.TextBoxFor(Model => Model.CompanyTrendsMapInsertUpdate[k].Department, new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Model => Model.CompanyTrendsMapInsertUpdate[k].ImportanceId, new SelectList(ViewBag.ImportanceList, "Id", "ImportanceName"), "", new { @class = "form-control" })
                                        </td>
                                        <td class="text-center">
                                            @Html.DropDownListFor(Mode => Model.CompanyTrendsMapInsertUpdate[k].ImpactId, new SelectList(ViewBag.ImpactList, "Id", "ImpactDirectionName"), "", new { @class = "form-control" })
                                        </td>
                                    </tr>
                                }
                                <tr>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-center"></td>
                                    <td class="text-right">
                                        <button type="submit" name="actionName" value="AddRow" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                                    </td>

                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- end panel -->
            </div>
            <!-- end col-8 -->
            <!-- end col-4 -->
        </div>
        <!-- end row -->
    </div>
    <div class="section-with-top-border p-b-5">
        <div class="row">
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteModel.AuthorRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>

                </div>
            </div>
            <!-- end col-6 -->
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Approver Notes</h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteModel.ApproverRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
    <!-- end section-container -->
    @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
</div>
}
